Results 1 to 10 of 59
I started out having trouble installing the Firefox 2.0.tar.gz file andasking how to do it. I got this response:
GURU has a .rpm already made for FF 2.0-32 hosted in ...
- 10-31-2006 #1Just Joined!
- Join Date
- Oct 2006
- Posts
- 39
updating Firefox on Suse 10.0
I started out having trouble installing the Firefox 2.0.tar.gz file andasking how to do it. I got this response:
I then attempted that and received the error message:GURU has a .rpm already made for FF 2.0-32 hosted in their repository. You can install it with that, and it works just fine.
Unresolved dependencies:
Updating MozillaFirefox-1.5.0.7-1.5.i586[System packages] to MozillaFirefox-2.0-32.1.i586[Local packages]
Establishing atom:MozillaFirefox-1.5.0.7-1.5.i586[SLED10-Updates]
There are no installable providers of mozilla-nspr >= 4.6.3 for MozillaFirefox-2.0-32.1.i586[Local packages]
MozillaFirefox-translations-1.5.0.7-1.5.i586[System packages] dependend on MozillaFirefox
I posted this to the thread and received this:
I did this and gotanother error message. This is where I am now:Originally Posted by daddymac117
Download the 'mozilla-nspr-4.6.3-6.1.i586.rpm' file from that same directory, and install that.
Then use whatever package installer that you use (be it the one in YaST or SMART), do a search for 'MozillaFirefox-translations', and delete it (the version for 1.5.0.7). Then your FF 2.0 rpm will install with no dependancy issues.
After the 2.0 installation, download the 'MozillaFirefox-translations-2.0-32.1.i586.rpm' file from the GURU repository, and install that.
mozilla-nspr-4.6.3-6.1.i586.rpm downloaded and installed without a hitch. I deleted the translations file with YaST2. I then went to the previously downloaded FF 2.0-32.1.i586.rpm and attempted to install it again, and got the error message:
Unresolved dependencies:
Updating MozillaFirefox-1.5.0.7-1.5.i586[System packages] to MozillaFirefox-2.0-32.1.i586[Local packages]
Establishing atom:MozillaFirefox-1.5.0.7-1.5.i586[SLED10-Updates]
There are no installable providers of libdbus-glib-1.so.1 for MozillaFirefox-2.0-32.1.i586[Local packages]
So I have been trying to find this libdus-glib-1.so.1 to install, and unsuccessfully so far............
Any sugggestions would be appreciated.
- 10-31-2006 #2Just Joined!
- Join Date
- Oct 2006
- Posts
- 39
I have been able to find libdbus-glib-1.so.1, but unfortunately it has many versions and I am unfamiliar with which one to use. I have tried to downoad a couple unsuccessfully.
- 10-31-2006 #3Just Joined!
- Join Date
- Oct 2006
- Posts
- 6
Just copy the updated files here:
/opt/MozillaFirefox/lib
- 10-31-2006 #4why dont you download firefox tar.gz from here? extract tar.gz file and double click on 'firefox' file in extracted folder. FireFox 2 will be up and running. create that file's link in Menu or on Desktop.I have been able to find libdbus-glib-1.so.1, but unfortunately it has many versions and I am unfamiliar with which one to use. I have tried to downoad a couple unsuccessfully.
casperIt is amazing what you can accomplish if you do not care who gets the credit.
New Users: Read This First
- 10-31-2006 #5Just Joined!
- Join Date
- Oct 2006
- Posts
- 39
I don't understand this instruction. Which updated files, and how do I copy them to there?
Originally Posted by mckinleysh
- 10-31-2006 #6Just Joined!
- Join Date
- Oct 2006
- Posts
- 39
When I double click on the firefox file in the extracted folder a window appears that says:Open Files on the Title Bar and has three blank task panes entitled: Available application, Recent applications, and application respectively.
Originally Posted by devils_casper
I typed firefox in the application window and the file opens with License agreements etc. and then has startup script:
So I figure I'll just copy and paste that into the command prompt. When I do, the command prompt disappears and I hadn't even pressed the Enter key.moz_pis_startstop_scripts()
{
MOZ_USER_DIR=".mozilla/firefox"
# MOZ_PIS_ is the name space for "Mozilla Plugable Init Scripts"
# These variables and there meaning are specified in
# mozilla/xpfe/bootstrap/init.d/README
MOZ_PIS_API=2
MOZ_PIS_MOZBINDIR="${dist_bin}"
MOZ_PIS_SESSION_PID="$$"
MOZ_PIS_USER_DIR="${MOZ_USER_DIR}"
export MOZ_PIS_API MOZ_PIS_MOZBINDIR MOZ_PIS_SESSION_PID MOZ_PIS_USER_DIR
case "${1}" in
"start")
for curr_pis in "${dist_bin}/init.d"/S* "${HOME}/${MOZ_USER_DIR}/init.d"/S* ; do
if [ -x "${curr_pis}" ] ; then
case "${curr_pis}" in
*.sh) . "${curr_pis}" ;;
*) "${curr_pis}" "start" ;;
esac
fi
done
;;
"stop")
for curr_pis in "${HOME}/${MOZ_USER_DIR}/init.d"/K* "${dist_bin}/init.d"/K* ; do
if [ -x "${curr_pis}" ] ; then
case "${curr_pis}" in
*.sh) . "${curr_pis}" ;;
*) "${curr_pis}" "stop" ;;
esac
fi
done
;;
*)
echo 1>&2 "$0: Internal error in moz_pis_startstop_scripts."
exit 1
;;
esac
}
#uncomment for debugging
#set -x
moz_libdir=/usr/local/lib/firefox-2.0
MRE_HOME=/usr/local/lib/mre/mre-2.0
# Use run-mozilla.sh in the current dir if it exists
# If not, then start resolving symlinks until we find run-mozilla.sh
found=0
progname="$0"
curdir=`dirname "$progname"`
progbase=`basename "$progname"`
run_moz="$curdir/run-mozilla.sh"
if test -x "$run_moz"; then
dist_bin="$curdir"
found=1
else
here=`/bin/pwd`
while [ -h "$progname" ]; do
bn=`basename "$progname"`
cd `dirname "$progname"`
progname=`/bin/ls -l "$bn" | sed -e 's/^.* -> //' `
if [ ! -x "$progname" ]; then
break
fi
curdir=`dirname "$progname"`
run_moz="$curdir/run-mozilla.sh"
if [ -x "$run_moz" ]; then
cd "$curdir"
dist_bin=`pwd`
run_moz="$dist_bin/run-mozilla.sh"
found=1
break
fi
done
cd "$here"
fi
if [ $found = 0 ]; then
# Check default compile-time libdir
if [ -x "$moz_libdir/run-mozilla.sh" ]; then
dist_bin="$moz_libdir"
else
echo "Cannot find mozilla runtime directory. Exiting."
exit 1
fi
fi
script_args=""
debugging=0
MOZILLA_BIN="${progbase}-bin"
if [ "$OSTYPE" = "beos" ]; then
mimeset -F "$MOZILLA_BIN"
fi
pass_arg_count=0
while [ $# -gt $pass_arg_count ]
do
case "$1" in
-p | --pure | -pure)
MOZILLA_BIN="${MOZILLA_BIN}.pure"
shift
;;
-g | --debug)
script_args="$script_args -g"
debugging=1
shift
;;
-d | --debugger)
script_args="$script_args -d $2"
shift 2
;;
*)
# Move the unrecognized argument to the end of the list.
arg="$1"
shift
set -- "$@" "$arg"
pass_arg_count=`expr $pass_arg_count + 1`
;;
esac
done
export MRE_HOME
## Start addon scripts
moz_pis_startstop_scripts "start"
if [ $debugging = 1 ]
then
echo $dist_bin/run-mozilla.sh $script_args $dist_bin/$MOZILLA_BIN "$@"
fi
"$dist_bin/run-mozilla.sh" $script_args "$dist_bin/$MOZILLA_BIN" "$@"
exitcode=$?
I also thought maybe this means that Firefox 2.0 was installed so I searched for it with no luck.
What am I doing wrong?
- 10-31-2006 #7Just Joined!
- Join Date
- Oct 2006
- Posts
- 6
Download firefox from here:
http://download.mozilla.org/?product...nux&lang=en-US
Extract everything in the firefox directory to /opt/MozillaFirefox/lib
This should overwrite the existing files, test and working on my fully updated SUSE version 10 box via YOU.
- 10-31-2006 #8
Have you tried running the firefox file (the one in the extracted folder) from the command line?
Registered Linux user #388328 || Registered LFS user #15880
AMD 64 X2 4600+ :: 2X1GB DDR2 800 :: GeForce 9400 GT 512MB :: ASUS M2N32 Deluxe :: 4X250GB SATAII
Need instant help? Try us on IRC -- #linuxforums on freenode
- 10-31-2006 #9as suggested by smolloy, open terminal and navigate to extracted folder. type 'firefox'.What am I doing wrong?
casperIt is amazing what you can accomplish if you do not care who gets the credit.
New Users: Read This First
- 10-31-2006 #10Just Joined!
- Join Date
- Oct 2006
- Posts
- 39
I opened up the extracted folder, opened up a command prompt, dragged the 'firefox' folder onto the command prompt: /tmp/fr-Jf32JW/firefox/firefox
Originally Posted by smolloy
and got the response:
Cannot find mozilla runtime directory. Exiting.


Reply With Quote